=== manual/widgets/CMakeLists.txt ===
add_subdirectory(inputmethods)
add_subdirectory(geolocation)
add_subdirectory(touchbrowser)
add_subdirectory(webgl)
