=== debian/changelog ===
qt6-webengine (6.6.3-0deepin4) unstable; urgency=medium

  * Fix up public header before build.
  * Re-enable LTO on !riscv64. Previously, disabled LTO due to compiler flag
    incompatibility (-ffat-lto-objects) on riscv64, as it uses Clang to
    work around a bug in GCC. This change is not needed for other
    architectures, so make this change specific to riscv64.
  * Mark libqt6webengine6-data as any, as it contains architecture-specific
    v8_context_snapshot.bin.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 27 May 2024 14:35:39 +0800

qt6-webengine (6.6.3-0deepin3) unstable; urgency=medium

  * fix: add riscv64 support

 -- Chang Yang <yangchang@deepin.org>  Fri, 12 Apr 2024 17:02:16 +0800

qt6-webengine (6.6.3-0deepin2) unstable; urgency=medium

  * fix: add loong64 support

 -- Chang Yang <yangchang@deepin.org>  Fri, 12 Apr 2024 11:39:59 +0800

qt6-webengine (6.6.3-0deepin1) unstable; urgency=medium

  * fix: disable lto to fix segfault
  * fix: update symbols

 -- Chang Yang <yangchang@deepin.org>  Thu, 11 Apr 2024 14:57:03 +0800

qt6-webengine (6.6.3-0deepin0) unstable; urgency=medium

  * upgrade version to 6.6.3

 -- Chang Yang <yangchang@deepin.org>  Wed, 10 Apr 2024 10:27:43 +0800

qt6-webengine (6.6.1+dfsg-2deepin1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch from Gentoo to fix build with ICU 74.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 08 Mar 2024 17:45:13 +0800
