## qt6-webengine 6.7.2+dfsg

=== debian/changelog ===
qt6-webengine (6.7.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Let qt6-webengine-dev-tools depend on libqt6webengine6-data as
    convert-bdic depends on the data in libqt6webengine6-data (Closes:
    #1084251).

 -- Patrick Franz <deltaone@debian.org>  Mon, 07 Oct 2024 19:27:59 +0200

qt6-webengine (6.7.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:12:52 +0200

qt6-webengine (6.7.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 16:08:26 +0200

qt6-webengine (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 00:17:45 +0200

qt6-webengine (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Update list of files to be excluded from the tarball.
  * Refresh patches.
  * Bump Qt B-Ds to 6.7.2 and use the bundled ICU as the Debian version
    is too old.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:44:04 +0200

qt6-webengine (6.6.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Aug 2024 08:56:16 +0200

qt6-webengine (6.6.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-14 on armhf due to missing
    <algorithm> include.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Aug 2024 10:16:09 +0200
