=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
-               clang-17 [riscv64],
                cmake (>= 3.24~),
                debhelper-compat (= 13),
                flex,
@@ -25,7 +24,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev,
+#               libicu-dev, # re-enable once ICU 73.1 is available in sid
                libjpeg-dev,
                libjs-jquery,
                libjs-jquery-tablesorter,
@@ -67,20 +66,21 @@
                mesa-common-dev,
                ninja-build,
                nodejs,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-documentation-tools (>= 6.6~) <!nodoc>,
-               qt6-positioning-dev (>= 6.6.1~),
-               qt6-tools-dev (>= 6.6.1~),
-               qt6-webchannel-dev (>= 6.6.1~),
-               qt6-websockets-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-httpserver-dev (>= 6.7.2~),
+               qt6-positioning-dev (>= 6.7.2~),
+               qt6-tools-dev (>= 6.7.2~),
+               qt6-webchannel-dev (>= 6.7.2~),
+               qt6-websockets-dev (>= 6.7.2~),
                re2c,
                ruby,
                xauth <!nocheck>,
@@ -92,8 +92,8 @@
 Rules-Requires-Root: no
 
 Package: libqt6webenginecore6
-Provides: qt6-webengine-private-abi (= 6.6.1),
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Provides: qt6-webengine-private-abi (= 6.7.2),
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          sse3-support [amd64 i386],
@@ -110,7 +110,7 @@
  This package contains the Qt 6 WebEngine Core library.
 
 Package: libqt6pdf6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF library
@@ -122,7 +122,7 @@
  This package contains the Qt 6 PDF library.
 
 Package: libqt6pdfquick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -135,7 +135,7 @@
  This package contains the Qt 6 PDF Quick library.
 
 Package: libqt6pdfwidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF Widgets library
@@ -147,7 +147,7 @@
  This package contains the Qt 6 PDF Widgets library.
 
 Package: libqt6webenginecore6-bin
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -161,7 +161,7 @@
  This package contains the Qt 6 WebEngine Core binaries.
 
 Package: libqt6webenginequick6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -175,7 +175,7 @@
  This package contains the Qt 6 WebEngine Quick library.
 
 Package: libqt6webenginewidgets6
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: libqt6webengine6-data (= ${source:Version}),
          ${misc:Depends},
@@ -191,8 +191,8 @@
  This package contains the Qt 6 WebEngine Widgets library.
 
 Package: libqt6webengine6-data
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 Web content engine library - data
@@ -205,7 +205,7 @@
  This package contains the arch independent parts of Qt WebEngine libraries.
 
 Package: qt6-image-formats-plugin-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 PDF image format plugin
@@ -218,13 +218,13 @@
  to view PDF files (the first page of PDF will be shown).
 
 Package: qml6-module-qtquick-pdf
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
-Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.6.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.6.1+dfsg~),
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Depends: qml6-module-qtquick (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-controls (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-templates (>= 6.6.2+dfsg~),
+         qml6-module-qtquick-window (>= 6.6.2+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -237,7 +237,7 @@
  This package contains the Qt 6 Quick PDF QML module.
 
 Package: qml6-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
@@ -251,11 +251,11 @@
  This package contains the Qt 6 WebEngine QML module for Qt 6 Declarative.
 
 Package: qml6-module-qtwebengine-controlsdelegates
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6webenginequickdelegatesqml6
-Replaces: libqt6webenginequickdelegatesqml6
+Breaks: libqt6webenginequickdelegatesqml6,
+Replaces: libqt6webenginequickdelegatesqml6,
 Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 WebEngine Controls Delegates QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -268,7 +268,7 @@
  for Qt 6 Declarative.
 
 Package: qt6-webengine-dev
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webenginecore6 (= ${binary:Version}),
@@ -293,7 +293,7 @@
  using Qt WebEngine libraries.
 
 Package: qt6-webengine-private-dev
-Architecture: amd64 arm64 armhf i386 riscv64 loong64
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
 Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends},
@@ -310,3 +310,9 @@
  Use at your own risk.
 
 Package: qt6-webengine-dev-tools
+Provides: convert-bdic,
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: foreign
+Section: devel
+Depends: libqt6webengine6-data (= ${source:Version}),
+         ${misc:Depends},
