=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	# FIXME: qt6-webengine does not build on riscv64 with GCC as it
-	# complains about a misused '%c' asm variable, so we chose to use
-	# Clang as a workaround, however it does not support the
-	# -ffat-lto-objects option as defined by optimize=+lto.
-	#
-	# Disable LTO for riscv64 as a secondary workaround.
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
-else
-	export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
 ifneq (,$(PARALLEL_OPTION))
@@ -37,24 +27,6 @@
 
 touch_files = src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/devtools-frontend/src/front_end/third_party/lighthouse/report-assets/report-generator.js
-
-ifeq (loong64, $(DEB_HOST_ARCH))
-	TARGET_PATCH = patch_loong64
-endif
-
-ifeq (riscv64, $(DEB_HOST_ARCH))
-	USE_CC = clang-17
-	USE_CXX = clang++-17
-else
-	USE_CC = gcc
-	USE_CXX = g++
-endif
-
-patch_loong64:
-	patch -p1 < debian/patches/loong64.patch
-
-override_dh_autoreconf: $(TARGET_PATCH)
-	dh_autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -83,7 +55,7 @@
 	dh_auto_configure -- \
 		--log-level=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
-		-DFEATURE_webengine_system_icu=ON \
+		-DFEATURE_webengine_system_icu=OFF \ # re-enable once ICU 73.1 is available in sid
 		-DFEATURE_webengine_system_libevent=ON \
 		-DFEATURE_webengine_system_libopenjpeg2=ON \
 		-DFEATURE_webengine_system_libpng=ON \
@@ -92,12 +64,9 @@
 		-DFEATURE_qtpdf_widgets_build=ON \
 		-DFEATURE_qtpdf_quick_build=ON \
 		-DFEATURE_webengine_proprietary_codecs=ON \
-		-DFEATURE_webengine_kerberos=ON \
-		-DCMAKE_C_COMPILER=/usr/bin/$(USE_CC) \
-		-DCMAKE_CXX_COMPILER=/usr/bin/$(USE_CXX)
+		-DFEATURE_webengine_kerberos=ON
 
 override_dh_auto_build:
-	dh_auto_build -- WebEngineCore_sync_all_public_headers
 	dh_auto_build
 	dh_auto_build -- docs
